UnsupportedCodecException (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.crypto, class: UnsupportedCodecException

Package org.apache.hadoop.crypto

# Class UnsupportedCodecException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.hadoop.crypto.UnsupportedCodecException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedCodecException extends RuntimeException
Thrown to indicate that the specific codec is not supported.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedCodecException()`
  Default constructor
  `UnsupportedCodecException(String message)`
  Constructs an UnsupportedCodecException with the specified detail message.
  `UnsupportedCodecException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `UnsupportedCodecException(Throwable cause)`
  Constructs a new exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedCodecException

    public UnsupportedCodecException()
    Default constructor

  - ### UnsupportedCodecException

    public UnsupportedCodecException(String message)
    Constructs an UnsupportedCodecException with the specified detail message.
    Parameters:
      `message` - the detail message

  - ### UnsupportedCodecException

    public UnsupportedCodecException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause

  - ### UnsupportedCodecException

    public UnsupportedCodecException(Throwable cause)
    Constructs a new exception with the specified cause.
    Parameters:
      `cause` - the cause